<?php

declare(strict_types=1);

namespace Silex\Controller;

use Silex\DI\DI;
use Silex\Http\HttpResponse;

class SecurityController
{
    public function login(DI $di): HttpResponse
    {
        $fail = false;
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $success = $di->getSecurity()->initLogin($_POST['login'], $_POST['password']);
            if ($success) {
                http_response_code(303);
                header('Location: ' . $di->getRouter()->url(''));
                exit();
            }
            var_dump($success);
            $fail = !$success;
        }
        return HttpResponse::found('login', ['fail' => $fail]);
    }
}