<?php

declare(strict_types=1);

namespace Silex\Model;

use DateTime;

class News
{
    private int $id;
    private string $title;
    private string $content;
    private DateTime $publicationDate;

    public function __construct(int $id, string $title, string $content, DateTime $publicationDate)
    {
        $this->id = $id;
        $this->title = $title;
        $this->content = $content;
        $this->publicationDate = $publicationDate;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getContent(): string
    {
        return $this->content;
    }

    public function getPublicationDate(): DateTime
    {
        return $this->publicationDate;
    }
}
